host/tensor_compare.h File Reference
`#include <utility>`
`#include "cutlass/cutlass.h"`
`#include "cutlass/util/distribution.h"`
`#include "tensor_foreach.h"`
Include dependency graph for host/tensor_compare.h:

Go to the source code of this file.

## Classes

struct | cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout >
| < Layout function More...
struct | cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >
| < Layout function More...

## Namespaces

| cutlass
| cutlass::reference
| cutlass::reference::host
| cutlass::reference::host::detail
| Defines several helpers.

## Functions

template<typename Element , typename Layout >
bool | cutlass::reference::host::TensorEquals (TensorView< Element, Layout > const &lhs, TensorView< Element, Layout > const &rhs)
| Returns true if two tensor views are equal. More...
template<typename Element , typename Layout >
bool | cutlass::reference::host::TensorNotEquals (TensorView< Element, Layout > const &lhs, TensorView< Element, Layout > const &rhs)
| Returns true if two tensor views are NOT equal. More...
template<typename Element , typename Layout >
bool | cutlass::reference::host::TensorContains (TensorView< Element, Layout > const &view, Element value)
| Returns true if a value is present in a tensor. More...
template<typename Element , typename Layout >
std::pair< bool, Coord< Layout::kRank > > | cutlass::reference::host::TensorFind (TensorView< Element, Layout > const &view, Element value)
| < Layout function More...